## qtcreator 2.7.0

=== debian/changelog ===
qtcreator (2.7.0-0ubuntu3) raring; urgency=low

  [ Juhapekka Piiroinen ]
  * Update Ubuntu plugin to bzr144
    - Updated Welcome Tab UI (LP: #1160852)
    - Updated Devices Tab UI (LP: #1155108)
    - Create build-deps package (LP: #1157204)
    - Support for cloning network settings from host to device (LP: #1157201)
    - Added a simple HTML application template (LP: #1159736)
    - Updated application templates (LP: #1166950)
    - Reorganized menu items
    - Fixed terminal emulator (LP: #1159095)
    - Added support for QML Project packaging and deployment
    - Relicensed to LGPL 2.1 (LP: #1157028)
    - Update debian/control

  [ Ken VanDine ]
  * Updated Ubuntu plugin to bzr153
    - Added Qt/QML hybrid template
    - A dynamic detection of qml application dependencies on packaging
    - Modified refactored menu.json to include only script executions, 
      instead of having scripts embedded.
    - fixed application execution on device

  [ Timo Jyrinki ]
  * Fix debian/watch 
  * debian/patches/add_lgpl3_license.patch:
    - Drop, not needed anymore after plugin relicensing to LGPL 2.1
  * Update debian/copyright to reflect the relicensing
  * Update Ubuntu plugin to bzr160
    - Remove dependencies to equivs and devscripts
    - Fixed Close Application On Device.
    - Automatic dependency check
    - Added architecture change sed for qml projects
    - Fixed Close all apps script

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 12 Apr 2013 09:01:33 +0000

qtcreator (2.7.0-0ubuntu2) raring; urgency=low

  * Add debian/patches/prefer_qmake_to_qmake-qt4.patch:
    - With qtchooser, 'qmake' should be the nr. 1 qmake executable
      to consider, since it's the user preferred qmake version. 
      (LP: #1135336)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 04 Apr 2013 05:56:35 +0000

qtcreator (2.7.0-0ubuntu1) raring; urgency=low

  * New upstream release. (LP: #1153527)
  * Add Ubuntu plugin bzr114 as a new package qtcreator-plugin-ubuntu
    (LP: #1135418)
  * Refresh patch:
    - botan_system_lib.diff
  * Update *.install
  * Update debian/copyright
  * Add patch debian/patches/add_lgpl3_license.patch:
    - Include until plugin properly relicensed
  * Add Provides/Conflicts/Replaces to ease upgrade for PPA users
  * Remove Pre-Depends, not needed on Ubuntu
  * Add Vcs-Bzr for moving the packaging to ~kubuntu-packagers

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 25 Mar 2013 08:47:56 +0000

qtcreator (2.7.0~beta-0ubuntu2) raring; urgency=low

  * Fix run time dependencies Qt4 -> Qt5 (LP: #1134647)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 28 Feb 2013 14:47:11 +0200

=== debian/control ===
Source: qtcreator
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adam Majer <adamm@zombino.com>,
           Fathi Boudra <fabo@debian.org>,
           Jeremy Lainé <jeremy.laine@m4x.org>
Build-Depends: debhelper (>= 9),
               libicu-dev,
               libx11-dev,
               pkg-config,
               libbotan1.10-dev,
               libqt5svg5 (>= 5.0.1~),
               libqt5svg5-dev (>= 5.0.1~),
               libqt5sql5-sqlite (>= 5.0.1~),
               libqt5designercomponents5 (>= 5.0.1~),
               libqt5designer5 (>= 5.0.1~),
               libqt5clucene5 (>= 5.0.1~),
               qttools5-private-dev (>= 5.0.1~),
               libqt5v8-5-private-dev (>= 5.0.1~),
               libqt5help5 (>= 5.0.1~),
               qttools5-dev (>= 5.0.1~),
               qttools5-dev-tools (>= 5.0.1~),
               qt5-qmake (>= 5.0.1~),
               qtbase5-private-dev (>= 5.0.1~),
               libqt5script5 (>= 5.0.1~),
               libqt5scripttools5 (>= 5.0.1~),
               qt5-default,
               qtscript5-private-dev (>= 5.0.1~),
               qtxmlpatterns5-dev-tools (>= 5.0.1~),
               libqt5widgets5 (>= 5.0.1~),
               qttools5-dev-tools (>= 5.0.1~),
               qtdeclarative5-private-dev (>= 5.0.1~),
               qtdeclarative5-dev-tools (>= 5.0.1~),
               qtquick1-5-dev (>= 5.0.1~),
               qtquick1-5-dev-tools (>= 5.0.1~),
               libqt5help5 (>= 5.0.1~),
               qtlocation5-dev,
               qtsensors5-dev,
Standards-Version: 3.9.3
Homepage: http://qt-project.org/
Vcs-Browser: http://git.debian.org/?p=collab-maint/qt-creator.git
Vcs-Git: git://git.debian.org/collab-maint/qt-creator.git
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtcreator

Package: qtcreator
Architecture: any
Depends: libbotan-1.10-0, libqt5svg5, libqt5designercomponents5, libqt5xml5, libqt5declarative5, libqt5concurrent5, libqt5script5, libqt5help5, libqt5printsupport5, libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
Recommends: gdb,
            make,
            g++,
            qt5-qmake,
            qt5-default,
            qtbase5-dev,
            qtbase5-dev-tools,
            qtdeclarative5-dev,
            qmlscene,
            qtcreator-doc,
            xterm | x-terminal-emulator,
            dh-make
Suggests: cmake, git, kdelibs5-data, subversion, ubuntu-sdk, qtquick1-5-dev, qtquick1-5-dev-tools
Description: lightweight integrated development environment (IDE) for Qt
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 It includes:
  * An advanced C++ code editor
  * Integrated GUI layout and forms designer
  * Project and build management tools
  * Integrated, context-sensitive help system
  * Visual debugger
  * Rapid code navigation tools
  * Supports multiple platforms

Package: qtcreator-dbg
Priority: extra
Architecture: any
Section: debug
Depends: qtcreator (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for Qt Creator IDE
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 This package contains the debugging symbols for Qt Creator IDE.

Package: qtcreator-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: qt4-dev-tools, qt4-doc
Description: documentation for Qt Creator IDE
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 This package contains the documentation for Qt Creator IDE.

Package: qtcreator-plugin-ubuntu
Architecture: any
Depends: qtcreator (= ${binary:Version}), ${misc:Depends}
Recommends: android-tools-adb
Provides: ubuntu-qtcreator-plugins
Conflicts: ubuntu-qtcreator-plugins
Replaces: ubuntu-qtcreator-plugins
Description: Ubuntu plugin for Qt Creator IDE
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 This package contains the Ubuntu plugin for Qt Creator, providing 
 deeper integration for developing applications for Ubuntu using the 
 Ubuntu UI Toolkit. It also introduces an Ubuntu themed welcome 
 screen.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Upstream changelog
upstream_changes := $(wildcard dist/changes-*)

%:
	dh $@ --parallel --list-missing --dbg-package=qtcreator-dbg --buildsystem=qmake --builddirectory=builddir

override_dh_auto_configure:
	tar xvf debian/qtcreator-plugin-ubuntu-images.tar.gz
	mkdir -p builddir
	dh_auto_configure -- $(CURDIR) IDE_LIBRARY_BASENAME=lib/$(DEB_HOST_MULTIARCH) IDE_PACKAGE_MODE=1 USE_SYSTEM_BOTAN=1 $(extra_configure_opts)

override_dh_auto_install:
ifneq (,$(filter qtcreator-doc, $(shell dh_listpackages)))
	dh_auto_build -- qch_docs
endif
	dh_auto_install --destdir=debian/tmp/usr
	dh_auto_build -- install_docs INSTALL_ROOT=$(CURDIR)/debian/tmp/usr

override_dh_auto_clean:
	dh_auto_clean
	# make sure the bundles botan lib isn't used during the build
	rm -f src/libs/3rdparty/botan/botan.cpp src/libs/3rdparty/botan/botan.h

override_dh_installdocs:
	dh_installdocs -pqtcreator $(upstream_changes)
	dh_installdocs --remaining-packages

override_dh_makeshlibs:
	# qtcreator doesn't provide any public libraries

override_dh_shlibdeps:
	dh_shlibdeps -XlibUbuntu.so

override_dh_builddeb:
	dh_builddeb -- -Zxz

## qtcreator 2.7.1

=== debian/changelog ===
qtcreator (2.7.1-0ubuntu10) saucy; urgency=low

  [ Juhapekka Piiroinen ]
  * Create qtcreator-dev to be able to build plugins from 
    external sources

  [ Timo Jyrinki ]
  * Drop Ubuntu plugins, they will come from lp:qtcreator-plugin-ubuntu
  * Fix debian/rules grep call
  * Omit also qtcreator-dev from the packages to create docs for

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 05 Sep 2013 07:41:16 +0300

qtcreator (2.7.1-0ubuntu9) saucy; urgency=low

  * debian/patches/qtcreator-plugin-ubuntu.patch:
    - Update to latest version to truly fix (LP: #1215133)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 28 Aug 2013 16:39:01 +0300

qtcreator (2.7.1-0ubuntu8) saucy; urgency=low

  * Depend on libqt5scripttools5 from the Ubuntu plugin (LP: #1215172) 
  * Install Cordova and QML project file mime tipes (LP: #1213969)
  * Depend on libqt5scripttools5 from the Ubuntu plugin (LP: #1215172)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 28 Aug 2013 14:20:53 +0300

qtcreator (2.7.1-0ubuntu7) saucy; urgency=low

  * debian/patches/qtcreator-plugin-ubuntu.patch:
    - Support manifest format which is compatible with click hooks (LP: #1214623)
    - The title is filled with the application name in the manifest (LP: #1214626)
    - The description field is added to the manifest file (LP: #1214612)
    - Some initial work on #1215133: Replace "_" with "-" in the name of the
      security manifest file
    - Replace "_" with "-" in the name of the security manifest file (LP: #1215133)
    - Enable Click packaging for Cordova projects (LP: #1216046)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 26 Aug 2013 09:48:45 +0300

qtcreator (2.7.1-0ubuntu6) saucy; urgency=low

  * Re-enable the workaround patch accidentally disabled.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 22 Aug 2013 05:30:09 +0000

qtcreator (2.7.1-0ubuntu5) saucy; urgency=low

  * debian/patches/qtcreator-plugin-ubuntu.patch:
    - Separate runtime data files away to different source, making this 
      patch smaller
    - Fixed screenshot feature
    - Improved testability of the Qt Creator ubuntu plugin
    - Fixing issues with the click packaging
    - Fixed packaging issues caused by the new name of the cordova plugin
    - Renamed package qtcreator-plugin-cordovaqt to qtcreator-plugin-ubuntu-cordova
    - Handle cordova template code in the projectypes.json when the template is not installed
    - Fixed click package installation on device
    - Added menu items to Build > Ubuntu Touch > click
    - Changed packaging tab to use the QActions available from menu items
    - Fixed package build and deployment script
  * debian/patches/qtcreator-plugin-ubuntu-buildchanges.patch:
    - Remove the addition of now separate files
  * qtcreator-plugin-ubuntu-images.tar.gz:
    - Recreate with the less content now needed
  * debian/control:
    - Depend on qtcreator-plugin-ubuntu-(cordova-)common from plugins
    - Transitional package for qtcreator-plugin-cordovaqt
  * debian/*.install:
    - Modify to take into account the separated common files

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 06 Aug 2013 12:19:33 +0000

qtcreator (2.7.1-0ubuntu4) saucy; urgency=low

  * qtcreator-plugin-ubuntu-images.tar.gz
    - recreated images tarball, there was an oversized icon included in the 
      last.

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 29 Jul 2013 10:59:51 -0400

qtcreator (2.7.1-0ubuntu3) saucy; urgency=low

  * debian/patches/qtcreator-plugin-ubuntu.patch:
    - fix for the build and deploy script

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 24 Jul 2013 14:07:53 -0400

qtcreator (2.7.1-0ubuntu2) saucy; urgency=low

  * debian/patches/qtcreator-plugin-ubuntu.patch:
    - Added new menu item GPG to Tools > Ubuntu Touch
    - Added Pastebin tab which points to pastebin.ubuntu.com
    - Install API docs locally instead of using online docs (LP: #1202977)
    - Checks if the offline documents are installed and uses those ones if available. Fallback is the online docs.
    - Fix application wizard meta information for cordova app template.
    - cordovaqt was rebranded to cordova-ubuntu
    - Added support for 'click' packaging
    - Introduced Packaging tab
    - Execute apt-get update; apt-get upgrade before installing packages (LP: #1200515)
    - Refixed HTML formating and items list for HTML5
    - Tabbed UI template uses deprecated interfaces (LP: #1197537)
    - Updated HTML5 Touch UI template to use ubuntu-html5-theme
    - App developer community IRC tab
    - API documentation tab
    - Ubuntu Touch Wiki tab
    - Added CoreApps tab
  * debian/control
    - qtcreator-plugin-ubuntu: Added depends for click, ubuntu-ui-toolkit-doc, 
      and ubuntu-ui-toolkit-examples
    - Updated build deps.
  * debian/patches/qtcreator-plugin-ubuntu-buildchanges.patch
    - added ubuntu cordova plugin

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 23 Jul 2013 10:58:17 -0400

qtcreator (2.7.1-0ubuntu1) saucy; urgency=low

  * Add devscripts dependency to qtcreator-plugin-ubuntu (LP: #1170685)
  * New upstream release.
    - Build against Qt 5.0.2 (LP: #1180392)
  * debian/patches/workaround_welcome_plugin.patch:
    - Fixes compatibility issue with Qt 5.0.2 (LP: #1179920)
  * debian/control:
    - Build-depend on libqt5help5
    - Add needed new dependencies to Ubuntu plugin
  * debian/patches/qtcreator-plugin-ubuntu.patch:
    - Fix unreliable DEB info access bug (LP: #1170692)
    - add the html folder to the project in HTML5 template
    - change the hybrid application template to a QML backend plugin template
    - support source packages with multiply binary packages
    - Time settings cloning from host
    - Enhanced device detection
    - Improved ssh authentication (LP: #1171063)
    - Disable menu items not usable for a specific project
    - Enable orientation support in templates
    - More descriptive text than "please wait..." when enableing development 
      mode (LP: #1169830)


=== debian/control ===
--- 
+++ 
@@ -11,33 +11,41 @@
                libx11-dev,
                pkg-config,
                libbotan1.10-dev,
-               libqt5svg5 (>= 5.0.1~),
-               libqt5svg5-dev (>= 5.0.1~),
-               libqt5sql5-sqlite (>= 5.0.1~),
-               libqt5designercomponents5 (>= 5.0.1~),
-               libqt5designer5 (>= 5.0.1~),
-               libqt5clucene5 (>= 5.0.1~),
-               qttools5-private-dev (>= 5.0.1~),
-               libqt5v8-5-private-dev (>= 5.0.1~),
-               libqt5help5 (>= 5.0.1~),
-               qttools5-dev (>= 5.0.1~),
-               qttools5-dev-tools (>= 5.0.1~),
-               qt5-qmake (>= 5.0.1~),
-               qtbase5-private-dev (>= 5.0.1~),
-               libqt5script5 (>= 5.0.1~),
-               libqt5scripttools5 (>= 5.0.1~),
+               libqt5svg5 (>= 5.0.2~),
+               libqt5svg5-dev (>= 5.0.2~),
+               libqt5sql5-sqlite (>= 5.0.2~),
+               libqt5designercomponents5 (>= 5.0.2~),
+               libqt5designer5 (>= 5.0.2~),
+               libqt5clucene5 (>= 5.0.2~),
+               qttools5-private-dev (>= 5.0.2~),
+               libqt5v8-5-private-dev (>= 5.0.2~),
+               libqt5help5 (>= 5.0.2~),
+               qttools5-dev (>= 5.0.2~),
+               qttools5-dev-tools (>= 5.0.2~),
+               qt5-qmake (>= 5.0.2~),
+               qtbase5-private-dev (>= 5.0.2~),
+               libqt5script5 (>= 5.0.2~),
+               libqt5scripttools5 (>= 5.0.2~),
                qt5-default,
-               qtscript5-private-dev (>= 5.0.1~),
-               qtxmlpatterns5-dev-tools (>= 5.0.1~),
-               libqt5widgets5 (>= 5.0.1~),
-               qttools5-dev-tools (>= 5.0.1~),
-               qtdeclarative5-private-dev (>= 5.0.1~),
-               qtdeclarative5-dev-tools (>= 5.0.1~),
-               qtquick1-5-dev (>= 5.0.1~),
-               qtquick1-5-dev-tools (>= 5.0.1~),
-               libqt5help5 (>= 5.0.1~),
+               qtscript5-private-dev (>= 5.0.2~),
+               qtxmlpatterns5-dev-tools (>= 5.0.2~),
+               libqt5widgets5 (>= 5.0.2~),
+               qttools5-dev-tools (>= 5.0.2~),
+               qtdeclarative5-private-dev (>= 5.0.2~),
+               qtdeclarative5-dev-tools (>= 5.0.2~),
+               qtquick1-5-dev (>= 5.0.2~),
+               qtquick1-5-dev-tools (>= 5.0.2~),
                qtlocation5-dev,
                qtsensors5-dev,
+               g++-4.7 [armhf],
+               libqt5webkit5-dev,
+               libsqlite3-dev,
+               libxslt1-dev,
+               libglib2.0-dev,
+               libgstreamer-plugins-base0.10-dev,
+               libqt5opengl5-dev,
+               libglib2.0-dev,
+               libxml2-dev,
 Standards-Version: 3.9.3
 Homepage: http://qt-project.org/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/qt-creator.git
@@ -58,7 +66,6 @@
             qmlscene,
             qtcreator-doc,
             xterm | x-terminal-emulator,
-            dh-make
 Suggests: cmake, git, kdelibs5-data, subversion, ubuntu-sdk, qtquick1-5-dev, qtquick1-5-dev-tools
 Description: lightweight integrated development environment (IDE) for Qt
  Qt Creator is a new, lightweight, cross-platform integrated development
@@ -98,20 +105,10 @@
  .
  This package contains the documentation for Qt Creator IDE.
 
-Package: qtcreator-plugin-ubuntu
-Architecture: any
-Depends: qtcreator (= ${binary:Version}), ${misc:Depends}
-Recommends: android-tools-adb
-Provides: ubuntu-qtcreator-plugins
-Conflicts: ubuntu-qtcreator-plugins
-Replaces: ubuntu-qtcreator-plugins
-Description: Ubuntu plugin for Qt Creator IDE
- Qt Creator is a new, lightweight, cross-platform integrated development
- environment (IDE) designed to make development with the Qt application
- framework even faster and easier.
- .
- This package contains the Ubuntu plugin for Qt Creator, providing 
- deeper integration for developing applications for Ubuntu using the 
- Ubuntu UI Toolkit. It also introduces an Ubuntu themed welcome 
- screen.
-
+Package: qtcreator-dev
+Architecture: all
+Depends: qtcreator (= ${binary:Version}),
+         ${misc:Depends},
+Description: Qt Creator plugin development files
+ This package contains the developer files for Qt
+ Creator plugin evelopment

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(filter $(DEB_HOST_ARCH),armhf))
    export GCC47 := "QMAKE_CXX=g++-4.7"
else
    export GCC47 := 
endif

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Upstream changelog
upstream_changes := $(wildcard dist/changes-*)

%:
	dh $@ --parallel --list-missing --dbg-package=qtcreator-dbg --buildsystem=qmake --builddirectory=builddir

override_dh_auto_configure:
	mkdir -p builddir
	dh_auto_configure -- $(CURDIR) $(GCC47) IDE_LIBRARY_BASENAME=lib/$(DEB_HOST_MULTIARCH) IDE_PACKAGE_MODE=1 USE_SYSTEM_BOTAN=1 $(extra_configure_opts)

override_dh_auto_install:
ifneq (,$(filter qtcreator-doc,qtcreator-dev, $(shell dh_listpackages)))
	dh_auto_build -- qch_docs
endif
	dh_auto_install --destdir=debian/tmp/usr
	dh_auto_build -- install_docs INSTALL_ROOT=$(CURDIR)/debian/tmp/usr
	mkdir -p debian/tmp/usr/src/qtcreator/
	find | egrep -v '^\.\/doc|^\.\/share|^\.\/\.pc|^\.\/debian|^\.\/tests|^\.\/share' | grep "\.pri\$$\|\.h\$$\|\.xsl\$$" | xargs -I{} cp --parents -r "{}" debian/tmp/usr/src/qtcreator
	cd debian/tmp/usr/src/qtcreator; cp -r builddir/* .; rm -R builddir

override_dh_auto_clean:
	dh_auto_clean
	# make sure the bundles botan lib isn't used during the build
	rm -f src/libs/3rdparty/botan/botan.cpp src/libs/3rdparty/botan/botan.h

override_dh_installdocs:
	dh_installdocs -pqtcreator $(upstream_changes)
	dh_installdocs --remaining-packages

override_dh_makeshlibs:
	# qtcreator doesn't provide any public libraries

override_dh_shlibdeps:
	dh_shlibdeps -XlibUbuntu.so -XlibCordovaUbuntuProjectManager.so


override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
http://releases.qt-project.org/qtcreator/([\d\.]*)/qt-creator-([^-]*)-src\.tar\.gz

## qtcreator 3.0.1

=== share/qtcreator/templates/wizards/plaincppapp/cmake/CMakeLists.txt ===
project(%ProjectName%)
cmake_minimum_required(VERSION 2.8)
aux_source_directory(. SRC_LIST)
add_executable(${PROJECT_NAME} ${SRC_LIST})

=== debian/changelog ===
qtcreator (3.0.1-0ubuntu4) trusty; urgency=medium

  [ Zeller Benjamin ]
  * Replace qnx, valgrind and remotelinux plugins with derived versiond

 -- Zoltán Balogh <zoltan@bakter.hu>  Wed, 09 Apr 2014 11:23:44 +0300

qtcreator (3.0.1-0ubuntu3) trusty; urgency=medium

  * Rebuild against Qt Webkit 5.1.1

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 13 Mar 2014 14:23:24 +0000

qtcreator (3.0.1-0ubuntu2) trusty; urgency=medium

  * Make qtcreator-plugin-cmake a Recommends instead

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 07 Mar 2014 12:23:32 +0000

qtcreator (3.0.1-0ubuntu1) trusty; urgency=low

  [ Michał Sawicz ]
  * Refresh patches:
    - debian/patches/02_use_x-terminal-emulator.diff
    - debian/patches/botan_system_lib.diff
    - debian/patches/no-Werror.diff
    - debian/patches/rpath_nonlinux.diff

  [ Timo Jyrinki ]
  * New upstream release.
  * Drop Qt V8 dependency
  * Bump other dependencies to 5.2
  * Drop workaround_welcome_plugin.patch - not needed with Qt 5.2
  * Refresh botan patch
  * Drop Qt Quick 1 dependency for now (fails to build)
  * Update watch file
  * Update *.install
  * Add a dependency on qtdeclarative5-controls-plugin QtC now needs

  [ Zoltan Balogh ]
  * Replace CMake plugin with a derived one
    - Add debian/patches/disable_cmake_plugin.diff to disable QtC's
    - Clean qtcreator-dev package
    - Depend on qtcreator-plugin-cmake to install the alternative plugin
    - To be sorted out with upstream when Ubuntu's modifications ready

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 07 Mar 2014 08:15:39 +0000

qtcreator (2.8.1-0ubuntu1) trusty; urgency=low

  [ Pino Toscano ]
  * Disable -Werror when building, as could potentially break depending on
    compiler/architecture; patch no-Werror.diff.

  [ Timo Jyrinki ]
  * New upstream release. (LP: #1181192)
  * Drop patches:
    - debian/patches/prefer_qmake_to_qmake-qt4.patch, merged upstream
    - debian/patches/03_fix_DOCPATH.diff, not needed anymore
  * Refresh patches:
    - debian/patches/botan_system_lib.diff
    - debian/patches/rpath_nonlinux.diff
  * Create qtcreator-dev to be able to build plugins from 
    external sources
  * Pick 2.8 changes from Debian:
    - Manually call qmake in order to avoid a FTBFS due to dh passing -nocache.
      Upstream uses caches to put default data for building, so we need them.
    - Compiler flags
  * Update *.install, drop qtcreator.install.linux as not needed anymore
  * No need for override_dh_shlibdeps anymore, dropped
  * Install 'qmlproject' extension handling mimetype (LP: #1233099)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 08 Nov 2013 08:10:13 +0200

=== debian/control ===
Source: qtcreator
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Adam Majer <adamm@zombino.com>,
           Fathi Boudra <fabo@debian.org>,
           Jeremy Lainé <jeremy.laine@m4x.org>,
Build-Depends: debhelper (>= 9),
               g++-4.7 [armhf],
               libbotan1.10-dev,
               libglib2.0-dev,
               libgstreamer-plugins-base0.10-dev,
               libicu-dev,
               libqt5clucene5 (>= 5.2.0~),
               libqt5designer5 (>= 5.2.0~),
               libqt5designercomponents5 (>= 5.2.0~),
               libqt5help5 (>= 5.2.0~),
               libqt5opengl5-dev (>= 5.2.0~),
               libqt5script5 (>= 5.2.0~),
               libqt5scripttools5 (>= 5.2.0~),
               libqt5sql5-sqlite (>= 5.2.0~),
               libqt5svg5 (>= 5.2.0~),
               libqt5svg5-dev (>= 5.2.0~),
               libqt5webkit5-dev (>= 5.1.1~),
               libqt5widgets5 (>= 5.2.0~),
               libsqlite3-dev,
               libx11-dev,
               libxml2-dev,
               libxslt1-dev,
               pkg-config,
               qt5-default,
               qt5-qmake (>= 5.2.0~),
               qtbase5-private-dev (>= 5.2.0~),
               qtdeclarative5-dev-tools (>= 5.2.0~),
               qtdeclarative5-private-dev (>= 5.2.0~),
               qtlocation5-dev,
               qtscript5-private-dev (>= 5.2.0~),
               qtsensors5-dev,
               qttools5-dev-tools (>= 5.2.0~),
               qttools5-private-dev (>= 5.2.0~),
               qtxmlpatterns5-dev-tools (>= 5.2.0~),
Standards-Version: 3.9.3
Homepage: http://qt-project.org/
Vcs-Browser: http://git.debian.org/?p=collab-maint/qt-creator.git
Vcs-Git: git://git.debian.org/collab-maint/qt-creator.git
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/qtcreator

Package: qtcreator
Architecture: any
Depends: libbotan-1.10-0,
         libqt5concurrent5,
         libqt5declarative5,
         libqt5designercomponents5,
         libqt5help5,
         libqt5printsupport5,
         libqt5script5,
         libqt5sql5-sqlite,
         libqt5svg5,
         libqt5xml5,
         qtdeclarative5-controls-plugin,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: g++,
            gdb,
            make,
            qmlscene,
            qt5-default,
            qt5-qmake,
            qtbase5-dev,
            qtbase5-dev-tools,
            qtcreator-doc,
            qtcreator-plugin-cmake,
            qtcreator-plugin-remotelinux,
            qtcreator-plugin-valgrind,
            qtcreator-plugin-qnx,
            qtdeclarative5-dev,
            xterm | x-terminal-emulator,
Breaks: qtcreator-plugin-ubuntu (<= 2.9.0~),
Suggests: cmake,
          git,
          kdelibs5-data,
          qtquick1-5-dev,
          qtquick1-5-dev-tools,
          subversion,
          ubuntu-sdk,
Description: lightweight integrated development environment (IDE) for Qt
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 It includes:
  * An advanced C++ code editor
  * Integrated GUI layout and forms designer
  * Project and build management tools
  * Integrated, context-sensitive help system
  * Visual debugger
  * Rapid code navigation tools
  * Supports multiple platforms

Package: qtcreator-dbg
Priority: extra
Architecture: any
Section: debug
Depends: qtcreator (= ${binary:Version}),
         ${misc:Depends},
Description: debugging symbols for Qt Creator IDE
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 This package contains the debugging symbols for Qt Creator IDE.

Package: qtcreator-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
Suggests: qt4-dev-tools,
          qt4-doc,
Description: documentation for Qt Creator IDE
 Qt Creator is a new, lightweight, cross-platform integrated development
 environment (IDE) designed to make development with the Qt application
 framework even faster and easier.
 .
 This package contains the documentation for Qt Creator IDE.

Package: qtcreator-dev
Architecture: all
Depends: qtcreator (= ${binary:Version}),
         libicu-dev,
         ${misc:Depends},
Description: Qt Creator plugin development files
 This package contains the developer files for Qt
 Creator plugin evelopment

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,17 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
+export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
+export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
+export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
+export QMAKE_CFLAGS_RELEASE := $(CFLAGS)
+export QMAKE_CFLAGS_DEBUG := $(CFLAGS)
+export QMAKE_CXXFLAGS_RELEASE := $(CXXFLAGS)
+export QMAKE_CXXFLAGS_DEBUG := $(CXXFLAGS)
+export QMAKE_LFLAGS_RELEASE := $(LDFLAGS)
+export QMAKE_LFLAGS_DEBUG := $(LDFLAGS)
+export QT_SELECT := qt5
+
 # Upstream changelog
 upstream_changes := $(wildcard dist/changes-*)
 
@@ -19,7 +30,16 @@
 
 override_dh_auto_configure:
 	mkdir -p builddir
-	dh_auto_configure -- $(CURDIR) $(GCC47) IDE_LIBRARY_BASENAME=lib/$(DEB_HOST_MULTIARCH) IDE_PACKAGE_MODE=1 USE_SYSTEM_BOTAN=1 $(extra_configure_opts)
+	cd builddir ; \
+		qmake QMAKE_CFLAGS_RELEASE="$(QMAKE_CFLAGS_RELEASE)" \
+		QMAKE_CFLAGS_DEBUG="$(QMAKE_CFLAGS_DEBUG)" \
+		QMAKE_CXXFLAGS_RELEASE="$(QMAKE_CXXFLAGS_RELEASE)" \
+		QMAKE_CXXFLAGS_DEBUG="$(QMAKE_CXXFLAGS_DEBUG)" \
+		QMAKE_LFLAGS_RELEASE="$(QMAKE_LFLAGS_RELEASE)" \
+		QMAKE_LFLAGS_DEBUG="$(QMAKE_LFLAGS_DEBUG)" \
+		QMAKE_STRIP=: \
+		PREFIX=/usr/ \
+		$(CURDIR) $(GCC47) IDE_LIBRARY_BASENAME=lib/$(DEB_HOST_MULTIARCH) IDE_PACKAGE_MODE=1 USE_SYSTEM_BOTAN=1 $(extra_configure_opts)
 
 override_dh_auto_install:
 ifneq (,$(filter qtcreator-doc,qtcreator-dev, $(shell dh_listpackages)))
@@ -28,7 +48,7 @@
 	dh_auto_install --destdir=debian/tmp/usr
 	dh_auto_build -- install_docs INSTALL_ROOT=$(CURDIR)/debian/tmp/usr
 	mkdir -p debian/tmp/usr/src/qtcreator/
-	find | egrep -v '^\.\/doc|^\.\/share|^\.\/\.pc|^\.\/debian|^\.\/tests|^\.\/share' | grep "\.pri\$$\|\.h\$$\|\.xsl\$$" | xargs -I{} cp --parents -r "{}" debian/tmp/usr/src/qtcreator
+	find | egrep -v '^\.\/doc|^\.\/share|^\.\/\.pc|^\.\/debian|^\.\/tests|^\.\/share|cmakeprojectmanager|valgrind|qnx|remotelinux|Qnx' | grep "\.pri\$$\|\.h\$$\|\.xsl\$$" | xargs -I{} cp --parents -r "{}" debian/tmp/usr/src/qtcreator
 	cd debian/tmp/usr/src/qtcreator; cp -r builddir/* .; rm -R builddir
 
 override_dh_auto_clean:
@@ -43,9 +63,5 @@
 override_dh_makeshlibs:
 	# qtcreator doesn't provide any public libraries
 
-override_dh_shlibdeps:
-	dh_shlibdeps -XlibUbuntu.so -XlibCordovaUbuntuProjectManager.so
-
-
 override_dh_builddeb:
 	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
http://download.qt-project.org/official_releases/qtcreator/([\d\.]*)/([\d\.]*)/qt-creator-opensource-src-([^-]*)\.tar\.gz

## qtcreator 3.1.1

=== debian/changelog ===
qtcreator (3.1.1-0ubuntu9) vivid; urgency=medium

  * No-change rebuild against Qt 5.4.1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 11 Mar 2015 08:31:11 +0200

qtcreator (3.1.1-0ubuntu8) vivid; urgency=medium

  * Rebuild against Qt 5.4.0
  * Add enable_test_fixed_in_qt540.diff

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 13 Feb 2015 06:51:53 +0000

qtcreator (3.1.1-0ubuntu7) vivid; urgency=medium

  [ Benjamin Zeller ]
  * Add new patch to make the qmakeprojectmanager aware of our needs in the
    Ubuntu SDK
  * Backport fix for QTCREATORBUG-13340 "SSH Client Does Not Support OpenSSH 6.7 Ciphers" from upstream.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 21 Nov 2014 18:40:08 +0000

qtcreator (3.1.1-0ubuntu6) vivid; urgency=medium

  * Build on armhf with default gcc again
  * Cherry-pick a fix for armhf -O2 build from Debian

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 28 Oct 2014 12:20:05 +0000

qtcreator (3.1.1-0ubuntu4) utopic; urgency=medium

  * Change patch to enable ubuntu device in plain QML projects, to match all Ubuntu device subtypes

 -- Benjamin Zeller <benjamin.zeller@canonical.com>  Fri, 01 Aug 2014 13:55:35 +0200

qtcreator (3.1.1-0ubuntu3) utopic; urgency=medium

  * Add patch to enable ubuntu devices for plain QML projects in QtCreator

 -- Benjamin Zeller <benjamin.zeller@canonical.com>  Tue, 29 Jul 2014 17:42:27 +0200

qtcreator (3.1.1-0ubuntu2) utopic; urgency=medium

  * Do not install the files that have been separated to plugin packages.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 17 Jun 2014 07:25:33 +0000

qtcreator (3.1.1-0ubuntu1) utopic; urgency=medium

  [ Timo Jyrinki ]
  * New upstream release.
  * Build depend on libqt5x11extras5-dev
  * Remove no-Werror.diff and rpath_nonlinux.diff, refresh remaining 
    patches
  * Update qtcreator.install
  * Disable unit tests on powerpc where they fail
  * Add Breaks against old versions of QtC plugins

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Pass some extra directories to dh_shlibdeps in which to look for
    dependencies. This might be an upstream bug.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 16 Jun 2014 08:26:49 +0000

qtcreator (3.0.1-0ubuntu6) utopic; urgency=medium

  * Build-depend on libqt5sensors5-dev instead of transitional package
    qtsensors5-dev.
  * Use dh_auto_test to run tests.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 04 May 2014 10:57:43 +0400

qtcreator (3.0.1-0ubuntu5) utopic; urgency=medium

  [ Iftikhar Ahmad (QA Engineer) ]
  * Enable the unit tests during package build.
  * Skip failing tests on unix. 

  [ Timo Jyrinki ]
  * Drop Qt Quick 1 runtime dependency and Suggests, not used anymore.
  * Depend directly on qtdeclarative5-qtquick2-plugin

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 25 Apr 2014 06:12:03 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
            Fathi Boudra <fabo@debian.org>,
            Jeremy Lainé <jeremy.laine@m4x.org>,
 Build-Depends: debhelper (>= 9),
-               g++-4.7 [armhf],
                libbotan1.10-dev,
                libglib2.0-dev,
                libgstreamer-plugins-base0.10-dev,
@@ -20,10 +19,11 @@
                libqt5script5 (>= 5.2.0~),
                libqt5scripttools5 (>= 5.2.0~),
                libqt5sql5-sqlite (>= 5.2.0~),
-               libqt5svg5 (>= 5.2.0~),
+               libqt5sensors5-dev,
                libqt5svg5-dev (>= 5.2.0~),
                libqt5webkit5-dev (>= 5.1.1~),
                libqt5widgets5 (>= 5.2.0~),
+               libqt5x11extras5-dev,
                libsqlite3-dev,
                libx11-dev,
                libxml2-dev,
@@ -36,10 +36,11 @@
                qtdeclarative5-private-dev (>= 5.2.0~),
                qtlocation5-dev,
                qtscript5-private-dev (>= 5.2.0~),
-               qtsensors5-dev,
                qttools5-dev-tools (>= 5.2.0~),
                qttools5-private-dev (>= 5.2.0~),
                qtxmlpatterns5-dev-tools (>= 5.2.0~),
+               xauth,
+               xvfb,
 Standards-Version: 3.9.3
 Homepage: http://qt-project.org/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/qt-creator.git
@@ -50,7 +51,6 @@
 Architecture: any
 Depends: libbotan-1.10-0,
          libqt5concurrent5,
-         libqt5declarative5,
          libqt5designercomponents5,
          libqt5help5,
          libqt5printsupport5,
@@ -59,6 +59,7 @@
          libqt5svg5,
          libqt5xml5,
          qtdeclarative5-controls-plugin,
+         qtdeclarative5-qtquick2-plugin,
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: g++,
@@ -76,12 +77,13 @@
             qtcreator-plugin-qnx,
             qtdeclarative5-dev,
             xterm | x-terminal-emulator,
-Breaks: qtcreator-plugin-ubuntu (<= 2.9.0~),
+Breaks: qtcreator-plugin-ubuntu (<= 3.1.0~),
+        qtcreator-plugin-cmake (<= 3.1.0~),
+        qtcreator-plugin-remotelinux (<= 3.1.0~),
+        qtcreator-plugin-valgrind (<= 3.1.0~),
 Suggests: cmake,
           git,
           kdelibs5-data,
-          qtquick1-5-dev,
-          qtquick1-5-dev-tools,
           subversion,
           ubuntu-sdk,
 Description: lightweight integrated development environment (IDE) for Qt

=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-ifneq (,$(filter $(DEB_HOST_ARCH),armhf))
-    export GCC47 := "QMAKE_CXX=g++-4.7"
-else
-    export GCC47 := 
-endif
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
@@ -21,9 +15,13 @@
 export QMAKE_LFLAGS_RELEASE := $(LDFLAGS)
 export QMAKE_LFLAGS_DEBUG := $(LDFLAGS)
 export QT_SELECT := qt5
+export QT_QPA_PLATFORM := minimal
 
 # Upstream changelog
 upstream_changes := $(wildcard dist/changes-*)
+
+# Skip tests on the archs they are known to be flaky  with current configuration
+testskip_architectures := powerpc
 
 %:
 	dh $@ --parallel --list-missing --dbg-package=qtcreator-dbg --buildsystem=qmake --builddirectory=builddir
@@ -31,15 +29,24 @@
 override_dh_auto_configure:
 	mkdir -p builddir
 	cd builddir ; \
-		qmake QMAKE_CFLAGS_RELEASE="$(QMAKE_CFLAGS_RELEASE)" \
+		qmake -recursive QMAKE_CFLAGS_RELEASE="$(QMAKE_CFLAGS_RELEASE)" \
 		QMAKE_CFLAGS_DEBUG="$(QMAKE_CFLAGS_DEBUG)" \
 		QMAKE_CXXFLAGS_RELEASE="$(QMAKE_CXXFLAGS_RELEASE)" \
 		QMAKE_CXXFLAGS_DEBUG="$(QMAKE_CXXFLAGS_DEBUG)" \
 		QMAKE_LFLAGS_RELEASE="$(QMAKE_LFLAGS_RELEASE)" \
 		QMAKE_LFLAGS_DEBUG="$(QMAKE_LFLAGS_DEBUG)" \
 		QMAKE_STRIP=: \
+		BUILD_TESTS=true \
 		PREFIX=/usr/ \
-		$(CURDIR) $(GCC47) IDE_LIBRARY_BASENAME=lib/$(DEB_HOST_MULTIARCH) IDE_PACKAGE_MODE=1 USE_SYSTEM_BOTAN=1 $(extra_configure_opts)
+		$(CURDIR) IDE_LIBRARY_BASENAME=lib/$(DEB_HOST_MULTIARCH) IDE_PACKAGE_MODE=1 USE_SYSTEM_BOTAN=1 $(extra_configure_opts)
+
+ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), armhf))
+	# Hack over a g++ problem while using -O2 on armhf.
+	# If you don't like this horrible hack please feel free to help me try to
+	# reproduce it in a minimal test case so as to be able to properly fill a
+	# bug against g++.
+	sed -i 's/O2/O1/g' builddir/src/plugins/qmldesigner/Makefile.qmldesignerplugin
+endif
 
 override_dh_auto_install:
 ifneq (,$(filter qtcreator-doc,qtcreator-dev, $(shell dh_listpackages)))
@@ -50,6 +57,9 @@
 	mkdir -p debian/tmp/usr/src/qtcreator/
 	find | egrep -v '^\.\/doc|^\.\/share|^\.\/\.pc|^\.\/debian|^\.\/tests|^\.\/share|cmakeprojectmanager|valgrind|qnx|remotelinux|Qnx' | grep "\.pri\$$\|\.h\$$\|\.xsl\$$" | xargs -I{} cp --parents -r "{}" debian/tmp/usr/src/qtcreator
 	cd debian/tmp/usr/src/qtcreator; cp -r builddir/* .; rm -R builddir
+	rm -rfv debian/tmp/usr/usr/tests/
+	# Separated to own plugin packages, need not to be installed
+	rm -rfv debian/tmp/usr/share/qtcreator/templates/wizards/plaincppapp/cmake debian/tmp/usr/share/qtcreator/templates/wizards/plaincapp/cmake debian/tmp/usr/share/qtcreator/templates/wizards/bb-*
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -63,5 +73,18 @@
 override_dh_makeshlibs:
 	# qtcreator doesn't provide any public libraries
 
+override_dh_shlibdeps:
+	dh_shlibdeps -l$(CURDIR)/debian/qtcreator/usr/lib/$(DEB_HOST_MULTIARCH)/qtcreator:\
+	$(CURDIR)/debian/qtcreator/usr/lib/$(DEB_HOST_MULTIARCH)/qtcreator/plugins/QtProject
+
 override_dh_builddeb:
 	dh_builddeb -- -Zxz
+
+override_dh_auto_test:
+ifneq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(testskip_architectures)))
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+	cp -r $(CURDIR)/builddir/lib/*/ $(CURDIR)/lib
+	xvfb-run -a dh_auto_test -- -C tests/auto
+endif
+endif
+
